Bug 168610 - Review Request: perl-Convert-ASCII-Armour
Review Request: perl-Convert-ASCII-Armour
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-09-17 20:12 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-02 09:17:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-09-17 20:12:07 EDT
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Convert-ASCII-Armour/perl-Convert-ASCII-Armour.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Convert-ASCII-Armour-1.4-2.src.rpm
This module converts hashes of binary octets into ASCII messages
suitable for transfer over 6-bit clean transport channels.  The
encoded ASCII resembles PGP's armoured messages, but are in no way
compatible with PGP.
Comment 1 Paul Howarth 2005-10-17 08:25:35 EDT

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec written in English and is legible
- sources match upstream
- package builds ok in mock on FC4 (i386)
- BR's OK
- no locales, subpackages, libraries or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs, docs don't affect runtime
- no desktop entry needed
- no scriptlets


- "Convert binary octets into ASCII armoured messages" might be a better
  summary than "Convert::ASCII::Armour Perl module"

Comment 2 Steven Pritchard 2006-02-02 09:17:02 EST
Summary changed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.